Name:		JSCookMenu
Summary:	JavaScript GUI-like web menus
Version:	2.0.4
Release:	7%{?dist}
License:	MIT and Public Domain
Group:		System Environment/Libraries
URL:		http://jscook.yuanheng.org/JSCookMenu/
Source0:	http://downloads.sourceforge.net/jscook/jscookmenu-%{version}.zip
Source1:	http://downloads.sourceforge.net/jscook/ThemeGray-1.0.zip
Source2:	http://downloads.sourceforge.net/jscook/ThemeIE-1.1.zip
Source3:	http://downloads.sourceforge.net/jscook/ThemeMiniBlack-1.1.zip
Source4:	http://downloads.sourceforge.net/jscook/ThemeOffice-1.1.zip
Source5:	http://downloads.sourceforge.net/jscook/ThemeOffice2003-1.1.zip
Source6:	http://downloads.sourceforge.net/jscook/ThemePanel-1.1.zip
Source10:	JSCookMenu_theme_license_clarification.mail.txt
Requires:	httpd >= 2.4
Buildarch:	noarch
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
  JSCookMenu is a powerful menu script written in JavaScript that can
mimic complex menus found in popular GUI Applications. It is relatively
simple and easy to use. Creating a new theme requires some patience,
but rarely does one has to write one since some good ones are provided. 
  The following features are implemented:
* Supports both horizontal and vertical menus.
* Supports relative positioning.
* Supports different menus with different themes in the same web page.
* Eases the menu creation process with a menu builder.
* Special effects such as sliding and fading in/out is available.
* APIs for JavaScript developers.


#-------------------------------------------------------------------------------
%prep
#-------------------------------------------------------------------------------

%setup -q -c
%setup -q -D -T -a 1
%setup -q -D -T -a 2
%setup -q -D -T -a 3
%setup -q -D -T -a 4
%setup -q -D -T -a 5
%setup -q -D -T -a 6
cp -a "%{SOURCE10}" .


#-------------------------------------------------------------------------------
%build
#-------------------------------------------------------------------------------

#	Make sure source lines end with a newline.

find . -type f \( -name "*.js" -o -name "*.css" \) | xargs dos2unix


#-------------------------------------------------------------------------------
%install
#-------------------------------------------------------------------------------

rm -rf "${RPM_BUILD_ROOT}"

#	Install directories.

install -p -d -m 755 "${RPM_BUILD_ROOT}/%{_datadir}/%{name}/"
install -p -d -m 755 "${RPM_BUILD_ROOT}/%{_sysconfdir}/httpd/conf.d"


#	Install files.

cp -a * "${RPM_BUILD_ROOT}/%{_datadir}/%{name}/"


#	Include it in web server configuration.

cat > "${RPM_BUILD_ROOT}/%{_sysconfdir}/httpd/conf.d/%{name}.conf" << 'EOF'
Alias /%{name} %{_datadir}/%{name}
<Directory %{_datadir}/%{name}>
	Options		None
	AllowOverride	None
	Require		local
</Directory>
EOF


#-------------------------------------------------------------------------------
%clean
#-------------------------------------------------------------------------------

rm -rf "${RPM_BUILD_ROOT}"


#-------------------------------------------------------------------------------
%files
#-------------------------------------------------------------------------------

%defattr(0644, root, root, 0755)
%doc JSCookMenu_theme_license_clarification.mail.txt
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf


#-------------------------------------------------------------------------------
%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

#-------------------------------------------------------------------------------

* Tue Apr 24 2012 Patrick Monnerat <pm@datasphere.ch> 2.0.4-6
- Upgrade httpd configuration file to Apache 2.4 syntax.

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri May  7 2010 Patrick Monnerat <pm@datasphere.ch> 2.0.4-3
- Fix summary typo.
- Supress httpd reload on post and postun.

* Mon Jan 25 2010 Patrick Monnerat <pm@datasphere.ch> 2.0.4-2
- Themes license clarification e-mail added in documentation.

* Wed Jun 10 2009 Patrick Monnerat <pm@datasphere.ch> 2.0.4-1
- Initial RPM spec file.
